<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Nepomuk.Property</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>Property Class Reference</h1>
<code>from PyKDE4.nepomuk import *</code>
<p>
Inherits: <a href="../nepomuk/Nepomuk.Entity.html">Nepomuk.Entity</a><br />

Namespace: Nepomuk<br />
<h2>Detailed Description</h2>

<p>A property is a resource of type rdf:Property which relates a domain
with a range. The latter one can be a literal in addition to a Class.
</p>
<p>
<dl class="deprecated" compact><dt><b>Deprecated:</b></dt><dd> in favor of Nepomuk.Types.Property
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173456204">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj173456556">__init__</a> (self, <a href="../nepomuk/Nepomuk.Property.html">Nepomuk.Property</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164598188">cardinality</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../nepomuk/Nepomuk.Class.html">Nepomuk.Class</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164599308">domain</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../nepomuk/Nepomuk.Property.html">Nepomuk.Property</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183256300">inverseProperty</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../nepomuk/Nepomuk.Literal.html">Nepomuk.Literal</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183255180">literalRangeType</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164599596">maxCardinality</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164601036">minCardinality</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[const Propert]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183258476">parentOf</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[const Propert]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj171967020">parentProperties</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../nepomuk/Nepomuk.Class.html">Nepomuk.Class</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183256364">range</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../nepomuk/Nepomuk.Property.html">Nepomuk.Property</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189073836">load</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qurl.html">QUrl</a> uri)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj173456204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default constructor. Creates an empty Property.
</p></div></div><a class="anchor" name="obj173456556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../nepomuk/Nepomuk.Property.html">Nepomuk.Property</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default copy constructor
</p></div></div><a class="anchor" name="obj164598188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int cardinality</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The cardinality of this property as specified by nrl:cardinality.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the cardinality of the property or -1 if none was set.
</dd></dl>
</p></div></div><a class="anchor" name="obj164599308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../nepomuk/Nepomuk.Class.html">Nepomuk.Class</a> domain</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The domain of the property.
</p></div></div><a class="anchor" name="obj183256300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../nepomuk/Nepomuk.Property.html">Nepomuk.Property</a> inverseProperty</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The inverse property (nrl:inverseProperty).
<dl class="return" compact><dt><b>Returns:</b></dt><dd> A Property instance representing the inverse property of this one
or 0 if none was specified in the ontology.
</dd></dl>
</p></div></div><a class="anchor" name="obj183255180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../nepomuk/Nepomuk.Literal.html">Nepomuk.Literal</a> literalRangeType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>If the rage of this property is a literal (i.e. range returns 0)
this method provides the literal type.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the literal type of this property or an empty, invalid Literal
if the range is a Class.
</dd></dl> </p>
<p>
\sa range
</p></div></div><a class="anchor" name="obj189073836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../nepomuk/Nepomuk.Property.html">Nepomuk.Property</a> load</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qurl.html">QUrl</a>&nbsp;</td>
<td class="paramname"><em>uri</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Loads a property actually including the whole ontology
it is declared in.
</p>
<p>
Dependancies are resolved automatically if possible.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> A property object representing the property identified
by uri or an invalid Property object if the resource identified
by uri is either not a property or does not exist.
</dd></dl>
</p></div></div><a class="anchor" name="obj164599596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int maxCardinality</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The maximum cardinality of this property as specified by nrl:maxCardinality.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the maximum cardinality of the property or -1 if none was set.
</dd></dl>
</p></div></div><a class="anchor" name="obj164601036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int minCardinality</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The minimum cardinality of this property as specified by nrl:minCardinality.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the minimum cardinality of the property or -1 if none was set.
</dd></dl>
</p></div></div><a class="anchor" name="obj183258476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[const Propert] parentOf</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> A list of all properties that have this property as a parent.
Be aware that this list can never be final since other ontologies
that have not been loaded yet may contain properties that are derived
from this property.
</dd></dl>
</p></div></div><a class="anchor" name="obj171967020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[const Propert] parentProperties</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Each property can have multiple parent properties.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> A list of all parent properties of this property.
If the list is emppty it means that the property has no direct
parents, i.e. it is derived from rdf:Resource.
</dd></dl>
</p></div></div><a class="anchor" name="obj183256364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../nepomuk/Nepomuk.Class.html">Nepomuk.Class</a> range</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The range of the property.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The range of the property or an invalid Class in case
the range of this poperty is a literal.
</dd></dl> \sa literalRange
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
